<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>All Classes (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":1,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":2,"i19":2,"i20":1,"i21":2,"i22":2,"i23":2,"i24":1,"i25":2,"i26":4,"i27":2,"i28":2,"i29":1,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":1,"i36":2,"i37":2,"i38":2,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":1,"i45":4,"i46":2,"i47":2,"i48":2,"i49":2,"i50":2,"i51":2,"i52":2,"i53":2,"i54":2,"i55":2,"i56":2,"i57":2,"i58":2,"i59":2,"i60":2,"i61":2,"i62":2,"i63":2,"i64":1,"i65":1,"i66":2,"i67":1,"i68":2,"i69":2,"i70":2,"i71":2,"i72":2,"i73":2,"i74":2,"i75":2,"i76":2,"i77":2,"i78":2,"i79":2,"i80":2,"i81":2,"i82":2,"i83":1,"i84":2,"i85":2,"i86":2,"i87":1,"i88":2,"i89":2,"i90":2,"i91":2,"i92":1,"i93":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes">AbstractBasicRecord</a></td>
<th class="colLast" scope="row">
<div class="block">Basic implementation of <a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes"><code>RecordArchetype</code></a> as some basic fields will/should be present
 in nearly all implementations of RecordArchetype and some methods will barely ever change inside these implementations.</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/ArchiveToDataBaseConverter.html" title="class in bous.philipp.dblp.datatools.converter">ArchiveToDataBaseConverter</a></td>
<th class="colLast" scope="row">
<div class="block">Has the main purpose to provide a standardized but sufficiently configurable way to convert records in
 arbitrary tar.gz xml-archives into data inside a database.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ArxivClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">ArxivClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Classification-heuristic for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files as provided by arXiv.org.</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ArxivRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes">ArxivRecord</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a record from the arXiv-source.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/ArxivRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">ArxivRecordFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Produces <a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ArxivRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><code>ArxivRecord</code></a>s from <code>Document</code>s.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BagOfWordsVectorizationArchetypes.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">BagOfWordsVectorizationArchetypes</a></td>
<th class="colLast" scope="row">
<div class="block">Contains methods to simplify common tasks of vectorization for
 the context of the thesis for which this code was written.</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BagOfWordsVectorizer.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">BagOfWordsVectorizer</a></td>
<th class="colLast" scope="row">
<div class="block">Provides methods for text-vectorization based on variations of Bag of Words-Approaches.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">BalancedVectorizationFoldPostHook</a></td>
<th class="colLast" scope="row">
<div class="block">Provides a means to hook into the (balanced version of the) vectorization process in bag of words based text-vectorization scenarios as for example found in
 <a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/BagOfWordsVectorizationArchetypes.html#convertSingleFeatureToSVMLightCrossValidationSetsBalanced()"><code>BagOfWordsVectorizationArchetypes.convertSingleFeatureToSVMLightCrossValidationSetsBalanced()</code></a>.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/evaluation/BinaryClassificationEvaluator.html" title="class in bous.philipp.dblp.datatools.evaluation">BinaryClassificationEvaluator</a></td>
<th class="colLast" scope="row">
<div class="block">Used in a scenario where only two classes exist.</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/evaluation/BinaryEvaluationSet.html" title="class in bous.philipp.dblp.datatools.evaluation">BinaryEvaluationSet</a></td>
<th class="colLast" scope="row">
<div class="block">Primarily used by <a href="bous/philipp/dblp/datatools/evaluation/BinaryClassificationEvaluator.html" title="class in bous.philipp.dblp.datatools.evaluation"><code>BinaryClassificationEvaluator</code></a> to suit more complex
 evaluation-scenarios like cross-validation but could be used standalone for
 evaluation of a single set with printing of a performance report.</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/BLExtendedClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">BLExtendedClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Extended classification-heuristic for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files for theses as provided by the british library.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/BLStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">BLStrictClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Strict classification-heuristic for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files for theses as provided by the british library.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/BLThesisExploration.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">BLThesisExploration</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/BLThesisRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes">BLThesisRecord</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a record from the BL-theses-source.</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/BLThesisRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">BLThesisRecordFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Produces <a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/BLThesisRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><code>BLThesisRecord</code></a>s from <code>Document</code>s.</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/vectorization/BOWConvertSingleColumnToSVMLightCVSetBalanced.html" title="class in bous.philipp.dblp.datatools.executables.vectorization">BOWConvertSingleColumnToSVMLightCVSetBalanced</a></td>
<th class="colLast" scope="row">
<div class="block">Provides an executable to convert database entries into artificially balanced cross validation sets in svmlight-file-format.</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/vectorization/BOWConvertSingleColumnToSVMLightCVSetUnbalanced.html" title="class in bous.philipp.dblp.datatools.executables.vectorization">BOWConvertSingleColumnToSVMLightCVSetUnbalanced</a></td>
<th class="colLast" scope="row">
<div class="block">Provides an executable to convert database entries into cross validation sets in svmlight-file-format.</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/vocabbuilding/BuildScoredVocabularyBalanced.html" title="class in bous.philipp.dblp.datatools.executables.vocabbuilding">BuildScoredVocabularyBalanced</a></td>
<th class="colLast" scope="row">
<div class="block">Provides an executable to create vocabularies for Bag of Words vectorization using artificial balancing
 when drawing the records from the database (will attempt to draw equal amount of positive/negative examples).</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/BuildTopSubsetFromScoreSortedBalancedVocabularySet.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">BuildTopSubsetFromScoreSortedBalancedVocabularySet</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="bous/philipp/tools/latex/Cell.html" title="class in bous.philipp.tools.latex">Cell</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/ClassificationHeuristic.html" title="interface in bous.philipp.dblp.datatools.converter.heuristics.classification">ClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Interface meant to provide some heuristics for classifying given <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s
 in the process of ingesting them into a database.</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/CommonArchivesToDatabaseConverter.html" title="class in bous.philipp.dblp.datatools.converter">CommonArchivesToDatabaseConverter</a></td>
<th class="colLast" scope="row">
<div class="block">Convenience-class to provide archive-conversions for archives from common sources.</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/CompareVocabs.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">CompareVocabs</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/modelprocessing/ConfigurableLiblinearTaskArchetypes.html" title="class in bous.philipp.dblp.datatools.modelprocessing">ConfigurableLiblinearTaskArchetypes</a></td>
<th class="colLast" scope="row">
<div class="block">Provides high level methods to perform tasks using the liblinear-library.</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes">ConvertableToRecDoc</a></td>
<th class="colLast" scope="row">
<div class="block">Functional interface signalling that the implementing class can be used
 to produce a meaningful instance of <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>.</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/CountPositiveNegativeModelWeights.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">CountPositiveNegativeModelWeights</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/CsClassification.html" title="enum in bous.philipp.dblp.datatools.datamodel">CsClassification</a></td>
<th class="colLast" scope="row">
<div class="block">Convenience-Enum primarily used when selecting records from a database to make the user-code somewhat more readable.</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/db/reader/DatabaseReader.html" title="class in bous.philipp.dblp.datatools.db.reader">DatabaseReader</a></td>
<th class="colLast" scope="row">
<div class="block">Provides convenience methods to draw records from a database while converting them back to
 <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s.</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/database/DataSourceFactory.html" title="class in bous.philipp.dblp.datatools.util.database">DataSourceFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Creates data-sources.</div>
</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/config/DbDependentExecutionConfig.html" title="interface in bous.philipp.dblp.datatools.util.config">DbDependentExecutionConfig</a></td>
<th class="colLast" scope="row">
<div class="block">An execution config that is used in context where a proper database-connection is needed.</div>
</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataArxiv.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">DrawTestDataArxiv</a></td>
<th class="colLast" scope="row">
<div class="block">Exists for documentation purposes; used to draw data from arxiv tar and write it to the database.</div>
</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataPlosOneExtended.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">DrawTestDataPlosOneExtended</a></td>
<th class="colLast" scope="row">
<div class="block">Exists for documentation purposes; used to draw data from plos one tar using extended drawing heuristic and write it to the database.</div>
</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataPlosOneRestricted.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">DrawTestDataPlosOneRestricted</a></td>
<th class="colLast" scope="row">
<div class="block">Exists for documentation purposes; used to draw data from plos one tar using restricted drawing heuristic and write it to the database.</div>
</th>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataThesisExtended.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">DrawTestDataThesisExtended</a></td>
<th class="colLast" scope="row">
<div class="block">Exists for documentation purposes; used to draw data from british library thesis tar using extended drawing heuristic and write it to the database.</div>
</th>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/DrawTestDataThesisRestricted.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">DrawTestDataThesisRestricted</a></td>
<th class="colLast" scope="row">
<div class="block">Exists for documentation purposes; used to draw data from british library thesis tar using restricted drawing heuristic and write it to the database.</div>
</th>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/config/ExecutionConfigProperties.html" title="interface in bous.philipp.dblp.datatools.util.config">ExecutionConfigProperties</a></td>
<th class="colLast" scope="row">
<div class="block">Interface providing some abstraction for steps in the ML-process that are configurable by external properties-files.</div>
</th>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIds.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIds</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdsOnly.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIdsOnly</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdTimeCodeVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIdTimeCodeVectorizationPosthook</a></td>
<th class="colLast" scope="row">
<div class="block">Remains for documentation purposes; used to export time code parts from original arxiv-ids.</div>
</th>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportOriginalIdVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIdVectorizationPosthook</a></td>
<th class="colLast" scope="row">
<div class="block">Remains for documentation purposes; used to export original arxiv ids.</div>
</th>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportSplitIds.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportSplitIds</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/ExportSplitIdsVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportSplitIdsVectorizationPosthook</a></td>
<th class="colLast" scope="row">
<div class="block">Remains for documentation purposes; used to export record ids for cv-sets.</div>
</th>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/config/ExternalConfig.html" title="class in bous.philipp.dblp.datatools.util.config">ExternalConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Helper to work with properties-files.</div>
</th>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/Feature.html" title="class in bous.philipp.dblp.datatools.datamodel">Feature</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a feature of a record (as represented by <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a> where a fully populated feature would usually consist
 of a valid "id", has a non-null <a href="bous/philipp/dblp/datatools/datamodel/FeatureType.html" title="enum in bous.philipp.dblp.datatools.datamodel"><code>FeatureType</code></a>, a non-null/non-empty
 "value"-String, a "recordId" which identifies the record to which this feature is tied.</div>
</th>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.datamodel">FeatureHolder</a></td>
<th class="colLast" scope="row">
<div class="block">Signaling that the implementor has a list of <a href="bous/philipp/dblp/datatools/datamodel/Feature.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>Feature</code></a>s that can be retrieved.</div>
</th>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/FeatureType.html" title="enum in bous.philipp.dblp.datatools.datamodel">FeatureType</a></td>
<th class="colLast" scope="row">
<div class="block">Lists the types of features of records that may be processed by this library.</div>
</th>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featurescoring/FisherScoreSimple.html" title="class in bous.philipp.dblp.datatools.featurescoring">FisherScoreSimple</a></td>
<th class="colLast" scope="row">
<div class="block">"Medium level of abstraction"-calculation of fisher scores for features.</div>
</th>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/LatexTablePrettyPrintToClipboard.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">LatexTablePrettyPrintToClipboard</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/modelprocessing/LiblinearModelTestProperties.html" title="class in bous.philipp.dblp.datatools.modelprocessing">LiblinearModelTestProperties</a></td>
<th class="colLast" scope="row">
<div class="block">Holds configuration-properties for configuration of a test-run in testing a liblinear-library-model.</div>
</th>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/prediction/LiblinearPredictor.html" title="class in bous.philipp.dblp.datatools.prediction">LiblinearPredictor</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>ScoringBinaryPredictor</code> that utilizes the liblinear library.</div>
</th>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/modelprocessing/LiblinearTrainProperties.html" title="class in bous.philipp.dblp.datatools.modelprocessing">LiblinearTrainProperties</a></td>
<th class="colLast" scope="row">
<div class="block">Holds configuration-properties for configuration to train a liblinear-library-model.</div>
</th>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/logging/LogFormatter.html" title="class in bous.philipp.dblp.datatools.util.logging">LogFormatter</a></td>
<th class="colLast" scope="row">
<div class="block">Helps improve visuals of logging output.</div>
</th>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/logging/LoggerFactory.html" title="class in bous.philipp.dblp.datatools.util.logging">LoggerFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Helper that provides for better management of loggers throughout the project; instanciation and caching.</div>
</th>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/tokenization/LuceneStandardTokenizerAdapter.html" title="class in bous.philipp.dblp.datatools.tokenization">LuceneStandardTokenizerAdapter</a></td>
<th class="colLast" scope="row">
<div class="block">Tokenizer utilizing the <code>StandardTokenizer</code> of the Apache Lucene Library.</div>
</th>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/math/MathematicalFunctions.html" title="class in bous.philipp.dblp.datatools.util.math">MathematicalFunctions</a></td>
<th class="colLast" scope="row">
<div class="block">Provides mathematical functions not included in the java-standard-library.</div>
</th>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneAbstractClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneAbstractClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Base class for classification-heuristics for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files for theses as provided by PlosOne.</div>
</th>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneCBIncludingClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneCBIncludingClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Strict classification-heuristic for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files for theses as provided by PLoS-One.</div>
</th>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/PLosOneExploration.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">PLosOneExploration</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/PlosOneRawXmlCheck.html" title="class in bous.philipp.dblp.datatools.converter.xmlchecks.raw">PlosOneRawXmlCheck</a></td>
<th class="colLast" scope="row">
<div class="block">Checks a raw xml from the PLoS-One source.</div>
</th>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/PlosOneRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes">PlosOneRecord</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a record from the PLoS-One-source.</div>
</th>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/PlosOneRecordFactory.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">PlosOneRecordFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Produces <a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/PlosOneRecord.html" title="class in bous.philipp.dblp.datatools.datamodel.records.archetypes"><code>PlosOneRecord</code></a>s from <code>Document</code>s.</div>
</th>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/PlosOneStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneStrictClassificationHeuristic</a></td>
<th class="colLast" scope="row">
<div class="block">Strict classification-heuristic for <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s that are derived from
 xml-files for theses as provided by PLoS-One.</div>
</th>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/PreprocessStringWithVocabAndModelInfo.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">PreprocessStringWithVocabAndModelInfo</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/RandomizeVocabOrderInFile.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">RandomizeVocabOrderInFile</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i64" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/RawXmlCheck.html" title="interface in bous.philipp.dblp.datatools.converter.xmlchecks.raw">RawXmlCheck</a></td>
<th class="colLast" scope="row">
<div class="block">Has the main purpose of injecting custom checks on raw xml-strings in <a href="bous/philipp/dblp/datatools/converter/ArchiveToDataBaseConverter.html#xmlTarArchiveToDataBase(java.sql.Connection,java.lang.String,java.lang.String,java.lang.String,int,int,int,bous.philipp.dblp.datatools.converter.xmlchecks.raw.RawXmlCheck,bous.philipp.dblp.datatools.converter.heuristics.classification.ClassificationHeuristic,bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.RecordFactory)"><code>ArchiveToDataBaseConverter.xmlTarArchiveToDataBase(Connection, String, String, String, int, int, int, RawXmlCheck, ClassificationHeuristic, RecordFactory)</code></a>.</div>
</th>
</tr>
<tr id="i65" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes">RecordArchetype</a></td>
<th class="colLast" scope="row">
<div class="block">Bundles main things a Record should be able to do.</div>
</th>
</tr>
<tr id="i66" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a></td>
<th class="colLast" scope="row">
<div class="block">Serves as a source-agnostic representation of a record.</div>
</th>
</tr>
<tr id="i67" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/RecordFactory.html" title="interface in bous.philipp.dblp.datatools.datamodel.records.archetypes.factory">RecordFactory</a></td>
<th class="colLast" scope="row">
<div class="block">Produces records from <code>Document</code>s.</div>
</th>
</tr>
<tr id="i68" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a vocabulary as usable in ML-classification-scenarios where text is vectorized based on
 methods like Bag of Words.</div>
</th>
</tr>
<tr id="i69" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/db/reader/SelectionResult.html" title="class in bous.philipp.dblp.datatools.db.reader">SelectionResult</a></td>
<th class="colLast" scope="row">
<div class="block">Encapsulates the result of a selection of records from a database
 in form of a list along with an id intended to represent the id of the last
 read record (may for example be "id" or "random_id" in <a href="bous/philipp/dblp/datatools/db/reader/DatabaseReader.html#selectRecordsFromDB(java.sql.Connection,java.util.EnumSet,java.lang.String,java.lang.String,java.lang.String,java.lang.String,boolean)"><code>DatabaseReader.selectRecordsFromDB(Connection, EnumSet, String, String, String, String, boolean)</code></a>).</div>
</th>
</tr>
<tr id="i70" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/SingleColumnCVSetProperties.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">SingleColumnCVSetProperties</a></td>
<th class="colLast" scope="row">
<div class="block">Execution-config for construction of files for cross-validation-sets.</div>
</th>
</tr>
<tr id="i71" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/math/Statistics.html" title="class in bous.philipp.dblp.datatools.util.math">Statistics</a></td>
<th class="colLast" scope="row">
<div class="block">Helper class providing functions for statistical calculations.</div>
</th>
</tr>
<tr id="i72" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/string/StopWordCollections.html" title="class in bous.philipp.dblp.datatools.util.string">StopWordCollections</a></td>
<th class="colLast" scope="row">
<div class="block">Convenience class to hold stop-word-collections.</div>
</th>
</tr>
<tr id="i73" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/string/StringUtility.html" title="class in bous.philipp.dblp.datatools.util.string">StringUtility</a></td>
<th class="colLast" scope="row">
<div class="block">Provides utility-methods for String-processing which are rather specific to the dblp.datatools library.</div>
</th>
</tr>
<tr id="i74" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/SummarizeTimeCodeIdParts.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">SummarizeTimeCodeIdParts</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i75" class="rowColor">
<td class="colFirst"><a href="bous/philipp/tools/latex/Tabular.html" title="class in bous.philipp.tools.latex">Tabular</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i76" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/fileprocessing/Tar.html" title="class in bous.philipp.dblp.datatools.util.fileprocessing">Tar</a></td>
<th class="colLast" scope="row">
<div class="block">Simplifies working with tar-archives.</div>
</th>
</tr>
<tr id="i77" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/TarAnalysis.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">TarAnalysis</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i78" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/fileprocessing/TarProcessor.html" title="class in bous.philipp.dblp.datatools.util.fileprocessing">TarProcessor</a></td>
<th class="colLast" scope="row">
<div class="block">Provides methods to iterate over tar-archives and process the contained files.</div>
</th>
</tr>
<tr id="i79" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a></td>
<th class="colLast" scope="row">
<div class="block">Holds statistical information about a term like the term itself, an associated index,
 in which document it was last seen, how many times it occurred per class and so on.</div>
</th>
</tr>
<tr id="i80" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/modelprocessing/TestingSvmLogReg.html" title="class in bous.philipp.dblp.datatools.modelprocessing">TestingSvmLogReg</a></td>
<th class="colLast" scope="row">
<div class="block">Provides methods to test SVM and LR models.</div>
</th>
</tr>
<tr id="i81" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/testing/svmlogreg/TestLiblinearModel.html" title="class in bous.philipp.dblp.datatools.executables.testing.svmlogreg">TestLiblinearModel</a></td>
<th class="colLast" scope="row">
<div class="block">Provides an executable to test a liblinear model.</div>
</th>
</tr>
<tr id="i82" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featurescoring/TfIdfAnalyzer.html" title="class in bous.philipp.dblp.datatools.featurescoring">TfIdfAnalyzer</a></td>
<th class="colLast" scope="row">
<div class="block">Class providing means to perform an analysis to calculate tf-idf-values for a set of terms/documents.</div>
</th>
</tr>
<tr id="i83" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/tokenization/Tokenizer.html" title="interface in bous.philipp.dblp.datatools.tokenization">Tokenizer</a></td>
<th class="colLast" scope="row">
<div class="block">Interface for a tokenizer for Strings.</div>
</th>
</tr>
<tr id="i84" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/modelprocessing/TrainingSvmLogReg.html" title="class in bous.philipp.dblp.datatools.modelprocessing">TrainingSvmLogReg</a></td>
<th class="colLast" scope="row">
<div class="block">Provides methods to train SVM and LR models.</div>
</th>
</tr>
<tr id="i85" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/TrainLiblinearAndDoCrossvalidation.html" title="class in bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg">TrainLiblinearAndDoCrossvalidation</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i86" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/TrainLiblinearAndWriteModelFile.html" title="class in bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg">TrainLiblinearAndWriteModelFile</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i87" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/UnbalancedVectorizationFoldPostHook.html" title="interface in bous.philipp.dblp.datatools.featureconstruction.vectorization">UnbalancedVectorizationFoldPostHook</a></td>
<th class="colLast" scope="row">
<div class="block">Interface to allow hooking into the vectorization process in a scenario without
 forced balancing of classes.</div>
</th>
</tr>
<tr id="i88" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/VectorDBMapping.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vectorization">VectorDBMapping</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a mapping of vectors in a file to entries in a table in the database.</div>
</th>
</tr>
<tr id="i89" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/VerticalizeLatexTableRow.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">VerticalizeLatexTableRow</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i90" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/VocabularyBuilder.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">VocabularyBuilder</a></td>
<th class="colLast" scope="row">
<div class="block">Convenience class holding methods to build vocabularies.</div>
</th>
</tr>
<tr id="i91" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/evaluation/WeightedGainWeightingInfo.html" title="class in bous.philipp.dblp.datatools.evaluation">WeightedGainWeightingInfo</a></td>
<th class="colLast" scope="row">
<div class="block">Encapsulates values used to calculated a weighted-gain value in the evaluation of a
 binary classifier.</div>
</th>
</tr>
<tr id="i92" class="altColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/fileprocessing/XMLRawProcessor.html" title="interface in bous.philipp.dblp.datatools.util.fileprocessing">XMLRawProcessor</a></td>
<th class="colLast" scope="row">
<div class="block">Functional interface providing a method to process a given xml in form of a String.</div>
</th>
</tr>
<tr id="i93" class="rowColor">
<td class="colFirst"><a href="bous/philipp/dblp/datatools/util/xml/XMLUtility.html" title="class in bous.philipp.dblp.datatools.util.xml">XMLUtility</a></td>
<th class="colLast" scope="row">
<div class="block">Provides helper methods for working with XML.</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
